Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockRequest

    java.lang.Object
      com.eviware.soapui.impl.wsdl.mock.WsdlMockRequest

All Implemented Interfaces:
  MockRequest

    public class WsdlMockRequest

extends java.lang.Object
implements MockRequest

Request-class created when receiving an external request to a WsdlMockService

Author:
  ole.matzura

Constructor Summary
`WsdlMockRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, WsdlMockRunContext context)`

Method Summary
`org.apache.xmlbeans.XmlObject` | `getBodyElement()`
`org.apache.xmlbeans.XmlObject` | `getContentElement()`
`WsdlMockRunContext` | `getContext()`
`javax.servlet.http.HttpServletRequest` | `getHttpRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpResponse()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getProtocol()`
`Attachment[]` | `getRequestAttachments()`
`java.lang.String` | `getRequestContent()`
`WsdlMockRunContext` | `getRequestContext()`
`StringToStringMap` | `getRequestHeaders()`
`org.apache.xmlbeans.XmlObject` | `getRequestXmlObject()`
`SoapVersion` | `getSoapVersion()`
`protected boolean` | `initSoapVersion(java.lang.String contentType)` Init soapversion from content-type header.. should envelope be checked and/or override?
`void` | `setOperation(WsdlOperation operation)`
`void` | `setRequestContent(java.lang.String requestContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMockRequest

    public WsdlMockRequest(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           WsdlMockRunContext context)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### initSoapVersion

    protected boolean initSoapVersion(java.lang.String contentType)

  Init soapversion from content-type header.. should envelope be checked and/or override?

### getSoapVersion

    public SoapVersion getSoapVersion()

### getProtocol

    public java.lang.String getProtocol()

### getRequestAttachments

    public Attachment[] getRequestAttachments()

  Specified by:
    `getRequestAttachments` in interface `MockRequest`

### getRequestContent

    public java.lang.String getRequestContent()

  Specified by:
    `getRequestContent` in interface `MockRequest`

### getRequestHeaders

    public StringToStringMap getRequestHeaders()

  Specified by:
    `getRequestHeaders` in interface `MockRequest`

### setRequestContent

    public void setRequestContent(java.lang.String requestContent)

### getRequestXmlObject

    public org.apache.xmlbeans.XmlObject getRequestXmlObject()
                                                      throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getBodyElement

    public org.apache.xmlbeans.XmlObject getBodyElement()
                                                 throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getHttpResponse

    public javax.servlet.http.HttpServletResponse getHttpResponse()

### getHttpRequest

    public javax.servlet.http.HttpServletRequest getHttpRequest()

### getContentElement

    public org.apache.xmlbeans.XmlObject getContentElement()
                                                    throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getPath

    public java.lang.String getPath()

### getContext

    public WsdlMockRunContext getContext()

  Specified by:
    `getContext` in interface `MockRequest`

### setOperation

    public void setOperation(WsdlOperation operation)

### getRequestContext

    public WsdlMockRunContext getRequestContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.